/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.scope;


/**
 * The root exception for the runtime package. Exceptions occurring in the runtime are generally non-recoverable
 *
 * @version $Rev: 537493 $ $Date: 2007-05-12 23:03:18 +0530 (Sat, 12 May 2007) $
 */
public abstract class CoreRuntimeException extends RuntimeException {

    public CoreRuntimeException() {
        super();
    }

    public CoreRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

    public CoreRuntimeException(String message) {
        super(message);
    }

    public CoreRuntimeException(Throwable cause) {
        super(cause);
    }

}
